## compizconfig-backend-gconf 0.9.2.4

=== CMakeLists.txt ===
project (compizconfig-backend-gconf)

find_package (CompizConfig REQUIRED)

include (LibCompizConfigCommon)

compizconfig_backend (gconf PKGDEPS glib-2.0 gconf-2.0)

# compizconfig-gconf package version number
# An odd micro number indicates in-progress development.
# An even micro number indicates a released version.
set (COMPIZCONFIG_GCONF_VERSION_MAJOR 0)
set (COMPIZCONFIG_GCONF_VERSION_MINOR 9)
set (COMPIZCONFIG_GCONF_VERSION_MICRO 4)
set (COMPIZCONFIG_GCONF_VERSION_MACRO 0)
set (VERSION ${COMPIZCONFIG_GCONF_VERSION_MAJOR}.${COMPIZCONFIG_GCONF_VERSION_MINOR}.${COMPIZCONFIG_GCONF_VERSION_MICRO}.${COMPIZCONFIG_GCONF_VERSION_MACRO})

compiz_print_configure_header ("CompizConfig GConf Storage Backend")
compiz_print_configure_footer ()

compiz_add_uninstall ()
compiz_package_generation ("CompizConfig GConf Storage Backend")
compiz_add_git_dist ()

## compizconfig-backend-gconf 0.8.8

=== debian/changelog ===
compizconfig-backend-gconf (0.8.8-1~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:12:48 -0500

compizconfig-backend-gconf (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork.
  * [debian/patches]
  - 001-mate-compizconfig-backend-gconf.patch:
    Migration from gconf -> mateconf
    This patch assumes that no files were renamed (ex: by migrate.sh)
    By renaming files after patching (and reverse before unpatch), 
    resulting patches are much smaller in size!
  - 020-debug.patch - synced from ubuntu 0.8.4-1ubuntu5 and migrated
  * [debian/compat] Bump to Debhelper v7
  * [debian/copyright] convert to http://dep.debian.net/deps/dep5/
  * [debian/control]
    - bump Standards-Version to 3.9.3.
    - wrap Build-Depends for easier-reading/cleaner-diffs
    - bump debhelper to (>= 7.0.50~)
    - B-D on dh-autoreconf 
    - drop B-D on autoconf, automake1.9, libtool, autotools-dev
    - bump compiz-dev, libcompizconfig-dev to current version
    - B-D on hardening-wrapper, to enable it in debian/rules (see below)
    - change the maintainer's email address.
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/rules] use dh style, only use necessary overrides
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings
  * [debian/watch] update link from freedesktop.org to compiz.org
  * [debian/gbp.conf] remove it. this is not gonna be in debian unstable.
    See: http://lists.debian.org/debian-mentors/2012/10/msg00164.html

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Thu, 11 Oct 2012 13:28:13 +0200

compizconfig-backend-gconf (0.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Sean Finney ]
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.

  [ Loïc Minier ]
  * Add Vcs-Git-* control headers

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 21:52:41 +0100

compizconfig-backend-gconf (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * add gbp.conf for use with git-buildpackage
  * update compiz related build-deps to 0.8.2
  * update Standards-Version to 3.8.1

 -- Sean Finney <seanius@debian.org>  Sun, 05 Apr 2009 22:27:13 +0200

compizconfig-backend-gconf (0.7.6-1) unstable; urgency=low

  * New upstream release. 

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:48:54 +0200

compizconfig-backend-gconf (0.7.4-2) unstable; urgency=low

  * Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool  

 -- Sean Finney <seanius@debian.org>  Tue, 20 May 2008 19:17:00 +0200

compizconfig-backend-gconf (0.7.4-1) unstable; urgency=low

  * New upstream release. 
  * Update build-depends from libcompizconfig0-dev to libcompizconfig-dev,
    and for libcompizconfig-dev and compiz-dev from >= 0.6.0 to >= 0.7.3.

 -- Sean Finney <seanius@debian.org>  Mon, 19 May 2008 21:17:54 +0200

compizconfig-backend-gconf (0.6.0-1) unstable; urgency=low

  * Initial release.

 -- Sean Finney <seanius@debian.org>  Sun, 11 Nov 2007 18:37:21 +0100

=== debian/control ===
Source: compizconfig-backend-gconf
Priority: extra
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
 compiz-dev (>= 0.8.8), libcompizconfig-dev (>= 0.8.8), libmateconf-dev, 
 intltool, pkg-config, libglib2.0-dev, libxslt1-dev, libxml2-dev, 
 hardening-wrapper,
Standards-Version: 3.9.3
Section: x11

Package: compizconfig-backend-mateconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz Fusion configuration system - mateconf backend
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the mateconf-based configuration backend for the 
 compiz-fusion plugin system

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf


post_patch:
	[ -f settings-backend/mateconf.c ] || \
		mv settings-backend/gconf.c settings-backend/mateconf.c

pre_unpatch:
	[ -f settings-backend/gconf.c ] || \
		mv settings-backend/mateconf.c settings-backend/gconf.c

override_dh_autoreconf: post_patch
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --disable-static

override_dh_auto_clean:
	if [ -f settings-backend/gconf.c -a -d debian/tmp ]; then debian/rules post_patch; fi
	dh_auto_clean

override_dh_clean: pre_unpatch
	dh_clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# This forces the rename right before dpkg-source --after-build 
#override_dh_builddeb: pre_unpatch
override_dh_builddeb: pre_unpatch
	dh_builddeb

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ compizconfig-backend-gconf-([\d\.]+)\.tar\.gz

## compizconfig-backend-gconf 0.9.2.1+git20110226.g861a1d4

=== debian/changelog ===
compizconfig-backend-gconf (0.9.2.1+git20110226.g861a1d4-2) experimental; urgency=low

  * Add a Depends compiz-core-abiversion-${coreabiversion}

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 21:29:43 +0100

compizconfig-backend-gconf (0.9.2.1+git20110226.g861a1d4-1) experimental; urgency=low

  * Incorporate Janos Guljas' compiz packaging work, thanks!

 -- Sean Finney <seanius@debian.org>  Sun, 27 Feb 2011 10:28:35 +0000

compizconfig-backend-gconf (0.9.2.1-1.1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Bump standards to 3.9.1.
  * Rewrite debian/rules to use debhelper 7.
  * Switch to dpkg version 3.0 (quilt).
  * Added debian/watch file.

 -- Janos Guljas <janos@resenje.org>  Mon, 15 Nov 2010 15:47:05 +0100

=== debian/control ===
Source: compizconfig-backend-gconf
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, intltool, pkg-config, libtool,
 compiz-dev (>= 0.9.0), libcompizconfig-dev (>= 0.9.0), libglib2.0-dev,
 libgconf2-dev, libxslt1-dev, libxml2-dev
Standards-Version: 3.9.1
Section: x11
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/compizconfig-backend-gconf.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/compizconfig-backend-gconf.git

Package: compizconfig-backend-gconf
Architecture: any
Depends: compiz-core-abiversion-${coreabiversion},
 ${shlibs:Depends}, ${misc:Depends}
Description: Compiz Fusion configuration system - gconf backend
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the gconf-based configuration backend for the 
 compiz-fusion plugin system.

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compizconfig-backend-gconf-([\d\.]+)\.tar\.gz

## compizconfig-backend-gconf 0.9.5.92

=== CMakeLists.txt ===
project (compizconfig-backend-gconf)

find_package (CompizConfig REQUIRED)
find_package (Boost 1.34.0 REQUIRED)

include (LibCompizConfigCommon)

compizconfig_backend (gconf PKGDEPS glib-2.0 gconf-2.0 gio-2.0 INCDIRS ${Boost_INCLUDE_DIRS} LIBRARIES ${Boost_LIBRARIES})

compiz_print_configure_header ("CompizConfig GConf Storage Backend")
compiz_print_configure_footer ()
compiz_package_generation ("CompizConfig GConf Storage Backend")

=== debian/changelog ===
compizconfig-backend-gconf (0.9.5.92-0ubuntu5) precise; urgency=low

  * debian/patches/fix_979770.patch:
    - The config for the Default profile was not copied to the user's
      gconf tree unless they had previously logged into the Ubuntu (unity)
      profile (LP: #979770)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Mar 2012 14:30:24 +0200

compizconfig-backend-gconf (0.9.5.92-0ubuntu4) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/source/format:
    - added quilt for distro patches, so that fix_953214 can be correctly
      applied (LP: #953214)
  * Removed unused/deprecated patches

  [ Didier Roche ]
  * debian/control:
    - remove the cdbs build-dep (not needed)
    - bump Standards-Version to latest
  * debian/rules:
    - add --with quilt to dh to ensure the above patch is really applied

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Mar 2012 12:19:30 +0200

compizconfig-backend-gconf (0.9.5.92-0ubuntu3) precise-proposed; urgency=low

  * debian/patches/fix_953214.patch
    - Cherry-picked the patch for fixing SEGFAULTS in Glib::Source::prepare_vfunc()
      (LP: #953214)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 19 Mar 2012 19:14:10 +0100

compizconfig-backend-gconf (0.9.5.92-0ubuntu2) oneiric; urgency=low

  * debian/control: require the current libcompizconfig

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 23:29:57 +0200

compizconfig-backend-gconf (0.9.5.92-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control:
    - updated libcompizconfig requirement

  [ David Barth ]
  * New upstream release
  * debian/control:
    - depends on latest boost and libcompizconfig

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 19:34:16 +0200

compizconfig-backend-gconf (0.9.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/01_add_transition_gconf.patch:
    - remove some upstreamed part
  * debian/patches/03_fix_schema_owner.patch upstreamed

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:03:51 +0200

compizconfig-backend-gconf (0.9.2.4-0ubuntu1) natty; urgency=low

  * debian/control:
    - depends on latest compiz for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 17:36:59 +0100

compizconfig-backend-gconf (0.9.2.1git101213-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
    - pick the right gconf path (no multiscreen support) for workspace and other
      settings. This enabled gnome-panel workspace switcher to work again
      (LP: #682732)
  * debian/control:
    - ensure we pick latest compizconfig

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Dec 2010 16:41:29 +0100

compizconfig-backend-gconf (0.9.2.1git101127-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * debian/patches/01_add_transition_gconf.patch:
    - fix some crashers on migration when glib isn't initiated
  * debian/rules:
    - add CMAKE_BUILD_TYPE=RelWithDebInfo as the plugin cmake file isn't
      included (yet, need upstream clarification)
  * debian/control:
    - add missing quilt dep
    - build on debhelper >= 7.0.50~

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Nov 2010 12:56:27 +0100

compizconfig-backend-gconf (0.9.2.1git101125-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
  * debian/control:
    - build on latest compiz-dev and libcompizconfig-dev
  * debian/patches/01_add_transition_gconf.patch:
    - migration patch for 0.8 to 0.9 compiz users to keep their gconf settings
  * debian/patches/03_fix_schema_owner.patch:
    - add right schema owner

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Nov 2010 20:34:05 +0100

compizconfig-backend-gconf (0.9.2.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/rules, debian/control:
    - change to cmake and remove autoconf
  * debian/control:
    - bump compiz build-dep to 0.9
  * debian/patches/02_debug.patch,
    - adapt to new version
  * debian/patches/resize_with_right_button:
    - removed, upstream
  * debian/rules:
    - add flags to compile in package mode and not in debug mode
  * debian/install:
    - install every files (which is just one...)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Nov 2010 18:14:11 +0100

compizconfig-backend-gconf (0.8.4-1ubuntu5) maverick; urgency=low

  * debian/control:
    - Update Build-Depends against compiz-dev to >= 0.8.6 for ABI bump.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Jul 2010 15:23:56 +0200

compizconfig-backend-gconf (0.8.4-1ubuntu4) maverick; urgency=low

  * Bump dh compat to 7; bump debhelper build-dep; fixes FTBFS with old
    dh_install behavior.
  * Wrap build-deps and deps to get cleaner diffs.
  * Bump Standards-Version to 3.9.0.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 19 Jul 2010 00:17:57 +0200

compizconfig-backend-gconf (0.8.4-1ubuntu3) maverick; urgency=low

  * Set DEB_DESTDIR := $(CURDIR)/debian/tmp/ explicitly so that we can
    cherry-pick the files we really want to install in debian/*install; stip
    debian/compizconfig-backend-gconf/ prefix from debian/install; fixes
    installation into /debian at the root; LP: #605474.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 18 Jul 2010 21:46:10 +0200

compizconfig-backend-gconf (0.8.4-1ubuntu2) maverick; urgency=low

  * debian/patches/resize-with-right-button.patch:
    - honor resize_with_right_button gconf key (LP: #207065)
    Thanks to Guido Iribarren
  * debian/control:
    - build-depend on libcompizconfig0-dev to make it actually build
  * debian/install:
    - fix backend install file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Jul 2010 17:48:57 +0200

compizconfig-backend-gconf (0.8.4-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on cdbs
    - Add Vcs-Bzr link
  * debian/rules:
    - Use CDBS
  * debian/patches/02_debug.patch:
    - Better debug output for invalid values
  * debian/watch:


=== debian/control ===
Source: compizconfig-backend-gconf
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               quilt,
               cmake,
               compiz-dev (>= 1:0.9.4),
               intltool,
               libboost1.46-dev,
               libcompizconfig0-dev (>= 0.9.5.92),
               libglib2.0-dev,
               libgconf2-dev,
               libtool,
               pkg-config,
               libxslt1-dev,
               libxml2-dev
Standards-Version: 3.9.3
Section: x11
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/libcompizconfig-backend-gconf/ubuntu

Package: compizconfig-backend-gconf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcompizconfig0 (>= 0.9.5.92)
Description: Compiz Fusion configuration system - gconf backend
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the gconf-based configuration backend for the 
 compiz-fusion plugin system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DCMAKE_BUILD_TYPE=RelWithDebInfo

%:
	dh $@ --with quilt

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ compizconfig-backend-gconf-([\d\.]+)\.tar\.gz
